Jump to content

[Slim] .NET Framework 4.6.1 Full x86/x64 (2-27-2016)


ricktendo
 Share

Recommended Posts

Hi & thanks for this work. 

I have one question; after a fresh install of 7 SP1 I've installed your NET package and hoped that the 3.5.1 updates that show in Windows Update won't be needed but I see they are still appearing, is this expected behaviour ?

Thank you

Link to comment
Share on other sites

Yes, 3.5.1 and 4.5.1 are different products, and 4.5.1 do not replace 3.5.1

 

You can integrate 3.5.1 updates with Wintoolkit or "manually" with dism.

 

See this: http://www.wincert.net/forum/topic/10811-11-d%C3%A9cembre-2013-packs-de-maj-gdr-pour-windows-7-sp1/

or this: http://www.msfn.org/board/topic/139877-post-sp1-updates-for-windows-7-updated-10122013/

 

for list of updates.

Link to comment
Share on other sites

Actually this is a brand new installer, normally it would depend if you did not use the /trainswap switch to force install LDR files a hotfix like this would not apply...but Microsoft strangely released a BRAND NEW, updated, LDR only installer (that when I get back up and running will use to replace the GDR/LDR one you link to) and I will redo all my installers using this one

For now if you want a slim version of this newer 4.5.1 installer, use 7zip to extract, vbs to slim (then simply install,) admin install (optional,) and repack (optional.)

Link to comment
Share on other sites

But, BlueMe, if your question is whether there is any .NET installer out there, 4.0 or 4.5.1, Slim or Full, that if applied to a Fresh install of Win7 SP1 will make it so that the 3.5.1 updates that show in Windows Update won't be needed, AFAIK the answer is still no.  As mooms explained, they are different products.  3.5.1 is now part of the OS itself and is no longer an addon like it was in XP.  Updates for 3.5.1 will be needed from WU/MU unless you integrate them into your install source, prior to installing the OS, through the use of Win Toolkit, DISM, or a similar tool.

 

Cheers and Regards

Link to comment
Share on other sites

Can you please include somewhere in the post a "Last Updated", so we can compare to ours.

Thanks for the awesome work!

 

What, the date in the thread title isn't enough? :)

 

[slim] .NET Framework 4.5.1 Full x86/x64 (10-17-2013)

 

I also have asked Rick to include a date or something in the actual name of the app, for the same reason you mentioned, but I can also understand the advantages that leaving the app name more "generic" gives when automating an install source build, so I guess we'll have to make do with the date in the thread title unless Rick can be persuaded.

 

Cheers and Regards

Link to comment
Share on other sites

  • 2 weeks later...

Hello there, wanted to ask because I am getting this message when dotNetFx451_Full_LDR_x86_x64_Slim is being installed (Latest Release). I have tried both /y and /y /norestart switches and with both I get this message saying that I need to restart. Can you please tell me if I need to use a different switch to prevent this from happening, thank you for your time and help in advance.

 

Josh

 

Error.jpg

Link to comment
Share on other sites

If you are going to use my .net 4.5.1 installer during this phaze os install you have to repack it...I think you need to because during setup .net fails to install, there is a reg trick you will find the in the config.txt of the no-gui sfx that you need to enable

Other than that wait until you are logged in to install without problem

Link to comment
Share on other sites

If you are going to use my .net 4.5.1 installer during this phaze os install you have to repack it...I think you need to because during setup .net fails to install, there is a reg trick you will find the in the config.txt of the no-gui sfx that you need to enable

Other than that wait until you are logged in to install without problem

 

Well the install process starts at the first login. 4.0 installs no problem, its only 4.51. that is asking me to restart when it is done installing. I never had this issues with your packages before, just recently. 

Link to comment
Share on other sites

Are you installing 4.0 along with 4.5.1?

All you need it one

No Gui sfx link fixed

 

Lol, I have both of your Slims Packs and I been install both. So I only need to install 4.51. and not 4? Could this be causing the issue? (Big Brain Fart)  :nuke:

 

Josh 

Link to comment
Share on other sites

If you are going to use my .net 4.5.1 installer during this phaze os install you have to repack it...I think you need to because during setup .net fails to install, there is a reg trick you will find the in the config.txt of the no-gui sfx that you need to enable

Other than that wait until you are logged in to install without problem

I'm currently in the process of trying a repack but could you please be more specific about which reg entry needs to be enabled in the config.txt?

Edited by Malak101
Link to comment
Share on other sites

 

Are you installing 4.0 along with 4.5.1?

All you need it one

 

Lol, I have both of your Slims Packs and I been install both. So I only need to install 4.51. and not 4? Could this be causing the issue? (Big Brain Fart)  :nuke:

 

Correct.  4.51 completely replaces 4.0.  So you use one or the other, not both.

 

Cheers and Regards

Link to comment
Share on other sites

I'm currently in the process of trying a repack but could you please be more specific about which reg entry needs to be enabled in the config.txt?

If you check the README.txt you will find the entries

-If you are going to repack this installer for SVCPACK install enable ALL the following lines by removing semicolon in config.txt;RunProgram="hidcon:cmd /c reg copy HKLM\\SYSTEM\\Setup HKLM\\SYSTEM\\Setup\\SSIPRS /f";RunProgram="hidcon:cmd /c reg add HKLM\\SYSTEM\\Setup /v SystemSetupInProgress /t REG_DWORD /d 0 /f"...;RunProgram="hidcon:cmd /c reg copy HKLM\\SYSTEM\\Setup\\SSIPRS HKLM\\SYSTEM\\Setup /f";RunProgram="hidcon:cmd /c reg delete HKLM\\SYSTEM\\Setup\\SSIPRS /f"...;AutoInstall*="hidcon:cmd /c reg copy HKLM\\SYSTEM\\Setup HKLM\\SYSTEM\\Setup\\SSIPRS /f";AutoInstall*="hidcon:cmd /c reg add HKLM\\SYSTEM\\Setup /v SystemSetupInProgress /t REG_DWORD /d 0 /f"...;AutoInstall*="hidcon:cmd /c reg copy HKLM\\SYSTEM\\Setup\\SSIPRS HKLM\\SYSTEM\\Setup /f";AutoInstall*="hidcon:cmd /c reg delete HKLM\\SYSTEM\\Setup\\SSIPRS /f"...ETC...
Link to comment
Share on other sites

Confused:
Why is
4.5.1 (for XP SP3) dated 10-17-2013 ?
and
4 (for win 7) dated 1-05-2014 ?

The dates and versions seem to be switched around.
And “the to be used for” seem to be switched around.

And the tools mentioned in the OP can be used to modify this installer (add LPs) or make it into an add-on?
And then use that add-on in AIO?
Right?
 

Thanks

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...